@ECHO OFF &TITLE WUP解密重打包 脚本
color 2F
Cls
set PDR=%~dp0bin\
set WAY=%~dp1
set NAME=%~n1
cd "%WAY%%NAME%"

ECHO 开始调用 CDecrypt......

"%PDR%CDecrypt.exe" title.tmd title.tik "%PDR%ckey.bin"
md DecryptFiles
move code DecryptFiles
move meta DecryptFiles
move content DecryptFiles

ECHO 开始调用 NUSPacker ......

java -jar "%PDR%NUSPacker.jar" -in DecryptFiles -out "%WAY%\NUSPacker_%NAME%" -encryptKeyWith D7B00402659BA2ABD2CB0DB27FA2B656

rd /q output
rd /q tmp
rd /s /q DecryptFiles

ECHO 打包任务完成，任意键继续......
pause>NUL